From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-distutils-extra/
Date: Sun, 13 Oct 2019 17:52:59 +0000 (UTC) [thread overview]
Message-ID: <1570989169.54e878ed92034ae1e01e065a3333daee2ff2a022.juippis@gentoo> (raw)
commit: 54e878ed92034ae1e01e065a3333daee2ff2a022
Author: Conrad Kostecki <conrad <AT> kostecki <DOT> com>
AuthorDate: Sat Oct 5 11:21:11 2019 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 17:52:49 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54e878ed
dev-python/python-distutils-extra: bump to 2.42, support python3.7
Also bumped to EAPI=7 and changed SRC_URI, as location has changed.
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Conrad Kostecki <conrad <AT> kostecki.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
| 1 +
| 50 ++++++++++++++++++++++
2 files changed, 51 insertions(+)
--git a/dev-python/python-distutils-extra/Manifest b/dev-python/python-distutils-extra/Manifest
index d42843594dd..e1bb79db7e3 100644
--- a/dev-python/python-distutils-extra/Manifest
+++ b/dev-python/python-distutils-extra/Manifest
@@ -1,2 +1,3 @@
DIST python-distutils-extra-2.38.tar.gz 27748 BLAKE2B 5f47e27dc639a6259a812bd618d35c4bc0a39362f3b7bf1a2e35331dfbd06b6b16a3030e125a8f5869770324a8df6eb446a5855639ed1b83379297509ea48891 SHA512 bbaea59a8f251f354e6cf3799b67c12225095cc869c7c4e299e719ad7bcfd1292cff99f95ab25f04fb9c3e2432da5ea614ee76154781388c47960fdf2c90a3d7
DIST python-distutils-extra-2.39.tar.gz 27389 BLAKE2B 06deca885aa283e0a52e38c89f71637573d45d73dfbace5a06b4bbfa04098a7fa4fde1c2891bde5cc5ed3a3a65e31d243feaa8465a4fddb4623435e7a47c902e SHA512 e3b4d1ed22767fb4c6dbbdccef960865b6fda01d18dc38cb8f9357c09c7eabb78466fce053e407a196eca257d07d57c5c1ef47f358a5979c7f22e4b11775124e
+DIST python-distutils-extra_2.42.tar.xz 37996 BLAKE2B dee4cc950bb34027b60dcf58e173bae502a7090062e3c2218fd2ec562d6350f5872ed5c0865b89f1463bd35be0f365f23e05bb0220f70a944181af40df42ee60 SHA512 ff0df0a25a29504bec89970dbbf24d0b618e9f2d5d07a037f67778b86c92e880eafee86dd102b4ada4f280abd3102de9f4a4e47dbc68c1eaaa05fb492cbbae29
--git a/dev-python/python-distutils-extra/python-distutils-extra-2.42.ebuild b/dev-python/python-distutils-extra/python-distutils-extra-2.42.ebuild
new file mode 100644
index 00000000000..3b3e02753ac
--- /dev/null
+++ b/dev-python/python-distutils-extra/python-distutils-extra-2.42.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Gettext support, themed icons and scrollkeeper-based documentation in distutils"
+HOMEPAGE="https://launchpad.net/python-distutils-extra"
+SRC_URI="mirror://ubuntu/pool/universe/p/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+DEPEND="test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( doc/{README,FAQ} )
+
+python_prepare_all() {
+ # This line is run when the file is imported
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1657919
+ sed -i '/^unittest.main()$/d' test/auto.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # 5 tests fail with disabled byte-compilation (they rely on exact
+ # output from python).
+ # The other 4 are broken.
+ pytest -vv -k "not (test_pot_manual or test_pot_auto_explicit or \
+ test_pot_auto or test_modules or test_packages) and not \
+ (test_desktop or test_po or test_policykit or \
+ test_requires_provides)" test/auto.py || \
+ die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ docinto examples
+ dodoc doc/{setup.cfg.example,setup.py.example}
+ docompress -x /usr/share/doc/${PF}/examples
+}
next reply other threads:[~2019-10-13 17:53 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-10-13 17:52 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-09 17:41 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-distutils-extra/ Conrad Kostecki
2024-03-09 17:41 Conrad Kostecki
2024-02-10 6:58 Ionen Wolkens
2024-01-25 9:21 Sam James
2024-01-24 4:57 Ionen Wolkens
2024-01-05 13:21 Jakov Smolić
2023-11-24 15:46 Michał Górny
2022-08-28 5:06 WANG Xuerui
2022-07-10 18:50 Michał Górny
2022-07-10 16:56 Sam James
2022-06-18 6:47 Michał Górny
2022-06-05 14:11 Michał Górny
2022-06-05 14:11 Michał Górny
2021-07-01 21:16 Conrad Kostecki
2021-01-08 12:40 Michał Górny
2020-08-02 9:15 Michał Górny
2020-06-22 15:36 Michał Górny
2020-05-11 17:48 Michał Górny
2020-05-11 11:38 Agostino Sarubbo
2020-05-08 17:54 Michał Górny
2020-05-06 7:01 Sergei Trofimovich
2020-04-30 11:58 Michał Górny
2020-04-28 13:10 Agostino Sarubbo
2020-04-28 9:09 Michał Górny
2020-04-28 9:09 Michał Górny
2020-04-28 5:45 Michał Górny
2020-04-27 12:03 Michał Górny
2020-03-28 21:11 Michał Górny
2020-02-12 7:51 Agostino Sarubbo
2019-12-15 13:10 Conrad Kostecki
2019-11-17 20:45 Steve Arnold
2019-08-11 19:02 Michał Górny
2019-08-11 19:02 Michał Górny
2017-09-17 21:09 Matt Turner
2017-09-12 23:02 Matt Turner
2017-07-15 17:25 Tobias Klausmann
2017-06-18 10:05 Pacho Ramos
2017-01-20 18:41 David Seifert
2016-11-09 14:04 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1570989169.54e878ed92034ae1e01e065a3333daee2ff2a022.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox